## jc 1.25.4

=== requirements.txt ===
ruamel.yaml>=0.15.0
xmltodict>=0.12.0
Pygments>=2.3.0

## jc 1.13.4

=== debian/changelog ===
jc (1.13.4-1) unstable; urgency=medium

  * New upstream version 1.13.4
    - Install man page.
  * Allow stderr to run a skipped autopkgtest.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 23 Aug 2020 23:53:56 +0100

jc (1.12.1-2) unstable; urgency=medium

  * Remove Suggests from d/control.
  * Mark python team as maintainer.
  * Move Vcs under python team in salsa.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 07 Aug 2020 14:14:00 +0100

jc (1.12.1-1) unstable; urgency=medium

  * Initial release (Closes: #962239)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 13 Jul 2020 15:19:20 +0100

=== debian/control ===
Source: jc
Section: utils
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools,
               python3-all, python3-xmltodict, python3-ruamel.yaml,
               python3-pygments
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/kellyjonbrazil/jc
Vcs-Browser: https://salsa.debian.org/python-team/applications/jc
Vcs-Git: https://salsa.debian.org/python-team/applications/jc.git

Package: jc
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: JSON CLI output utility
 jc JSONifies the output of many CLI tools and file-types for easier parsing
 in scripts. This allows further command-line processing of output by piping
 commands.

=== debian/tests/control ===
Tests: upstream-tests
Depends: @, python3-pytest, python3-pygments
Restrictions: allow-stderr

## jc 1.14.3

=== debian/changelog ===
jc (1.14.3-1) unstable; urgency=medium

  * New upstream version 1.14.3

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 15 Feb 2021 20:25:58 +0000

jc (1.14.1-1) unstable; urgency=medium

  * New upstream version 1.14.1

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 15 Jan 2021 22:44:03 +0000

jc (1.14.0-1) unstable; urgency=medium

  * New upstream version 1.14.0
  * Update Standards-Version to 4.5.1

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 04 Jan 2021 22:09:43 +0000

jc (1.13.4-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael Hudson-Doyle ]
  * d/tests/control: Add python3-all as a dependency of upstream-tests.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Tue, 20 Oct 2020 14:02:47 +1300

=== debian/control ===
Source: jc
Section: utils
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools,
               python3-all, python3-xmltodict, python3-ruamel.yaml,
               python3-pygments
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/kellyjonbrazil/jc
Vcs-Browser: https://salsa.debian.org/python-team/packages/jc
Vcs-Git: https://salsa.debian.org/python-team/packages/jc.git

Package: jc
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: JSON CLI output utility
 jc JSONifies the output of many CLI tools and file-types for easier parsing
 in scripts. This allows further command-line processing of output by piping
 commands.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=jc

%:
	dh $@ --with python3 --buildsystem=pybuild

## jc 1.17.3

=== debian/changelog ===
jc (1.17.3-1) unstable; urgency=medium

  * New upstream version 1.17.3

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 05 Dec 2021 00:51:04 +0000

jc (1.16.1-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream version 1.16.1
    - Update manpage path.
  * Update Standards-Version to 4.6.0

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 22 Aug 2021 19:44:12 +0100

jc (1.15.5-1) experimental; urgency=medium

  * New upstream version 1.15.5

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 27 Jun 2021 22:01:52 +0100

jc (1.15.2-1) experimental; urgency=medium

  * New upstream version 1.15.2
    - Update man page link.
    - Set timezone for tests.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 25 Apr 2021 00:41:08 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools,
                python3-all, python3-xmltodict, python3-ruamel.yaml,
                python3-pygments
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/kellyjonbrazil/jc
 Vcs-Browser: https://salsa.debian.org/python-team/packages/jc

=== debian/tests/control ===
Tests: upstream-tests
Depends: @, python3-all, python3-pytest, python3-pygments
Restrictions: allow-stderr

## jc 1.20.0

=== debian/changelog ===
jc (1.20.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields:
    Bug-Database, Bug-Submit, Repository, Repository-Browse.

  [ Sudip Mukherjee ]
  * New upstream version 1.20.0

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 03 Jun 2022 12:28:19 +0100

jc (1.18.5-1) unstable; urgency=medium

  * New upstream version 1.18.5

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 25 Mar 2022 22:09:09 +0000

## jc 1.22.4

=== debian/changelog ===
jc (1.22.4-1) unstable; urgency=medium

  * New upstream version 1.22.4
    - Update copyright.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 06 Jan 2023 21:19:10 +0000

jc (1.22.1-1) unstable; urgency=medium

  * New upstream version 1.22.1
  * Update Standards-Version to 4.6.1.0

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 06 Nov 2022 00:24:28 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools,
                python3-all, python3-xmltodict, python3-ruamel.yaml,
                python3-pygments
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1.0
 Rules-Requires-Root: no
 Homepage: https://github.com/kellyjonbrazil/jc
 Vcs-Browser: https://salsa.debian.org/python-team/packages/jc

## jc 1.22.5

=== debian/changelog ===
jc (1.22.5-1) unstable; urgency=medium

  * New upstream version 1.22.5
    - Update copyright.
  * Update Standards-Version to 4.6.2

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 25 Feb 2023 12:05:45 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools,
                python3-all, python3-xmltodict, python3-ruamel.yaml,
                python3-pygments
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/kellyjonbrazil/jc
 Vcs-Browser: https://salsa.debian.org/python-team/packages/jc

## jc 1.25.1

=== debian/changelog ===
jc (1.25.1-1) unstable; urgency=medium

  * New upstream version 1.25.1
    -  Update copyright.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 23 Feb 2024 22:54:16 +0000

jc (1.23.6-2) unstable; urgency=medium

  * Fix tests in s390x system.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 20 Dec 2023 16:00:03 +0000

jc (1.23.6-1) unstable; urgency=medium

  * New upstream version 1.23.6
    - Update copyright.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 16 Dec 2023 23:59:12 +0000

## jc 1.25.2

=== debian/changelog ===
jc (1.25.2-1) unstable; urgency=medium

  * New upstream version 1.25.2

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 25 May 2024 13:47:41 +0100

## jc 1.25.3

=== debian/changelog ===
jc (1.25.3-2) unstable; urgency=medium

  * Backport fixes from upstream dev branch. (Closes: #1084281)
  * Update Standards-Version to 4.7.0

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 22 Nov 2024 11:58:34 +0000

jc (1.25.3-1) unstable; urgency=medium

  * New upstream version 1.25.3
  * Apply upstream patch to fix test. (Closes: #1073385)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 17 Jul 2024 22:18:06 +0100

## jc 1.25.4

=== debian/changelog ===
jc (1.25.4-1) unstable; urgency=medium

  * New upstream version 1.25.4
    - Exclude .DS_Store from Debian package.
    - Remove upstream applied patches.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 18 Feb 2025 19:59:21 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools,
                python3-all, python3-xmltodict, python3-ruamel.yaml,
                python3-pygments
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/kellyjonbrazil/jc
 Vcs-Browser: https://salsa.debian.org/python-team/packages/jc

## jc 1.25.5

=== debian/changelog ===
jc (1.25.5-1) unstable; urgency=medium

  * New upstream version 1.25.5
  * Update Standards-Version to 4.7.2

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 11 Aug 2025 16:20:20 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools,
                python3-all, python3-xmltodict, python3-ruamel.yaml,
                python3-pygments
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/kellyjonbrazil/jc
 Vcs-Browser: https://salsa.debian.org/python-team/packages/jc

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,6 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+override_dh_auto_test:
+	TZ=America/Los_Angeles dh_auto_test

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%jc-$1.tar.gz%" \
   https://github.com/kellyjonbrazil/jc/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
